Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 608034 - <app-emulation/qemu-2.8.0-r1: display: cirrus: oob access while doing bitblt copy backward mode (CVE-2017-2615)
Summary: <app-emulation/qemu-2.8.0-r1: display: cirrus: oob access while doing bitblt ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B2 [glsa cve]
Keywords:
Depends on: CVE-2017-5931
Blocks: CVE-2017-2615
  Show dependency tree
 
Reported: 2017-02-02 13:28 UTC by Agostino Sarubbo
Modified: 2017-02-21 00:25 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-02-02 13:28:29 UTC
From ${URL} :

Quick emulator(Qemu) built with the Cirrus CLGD 54xx VGA Emulator support is 
vulnerable to an out-of-bounds access issue. It could occur while copying VGA 
data via bitblt copy in backward mode.

A privileged user inside guest could use this flaw to crash the Qemu process 
resulting in DoS OR potentially execute arbitrary code on the host with 
privileges of Qemu process on the host.

Upstream patch
--------------
   -> https://lists.gnu.org/archive/html/qemu-devel/2017-02/msg00015.html

It fixes
   -> http://git.qemu.org/?p=qemu.git;a=commit;h=d3532a0db02296e687711b8cdc7791924efccea0

Reference:
----------
   -> https://bugzilla.redhat.com/show_bug.cgi?id=1418200

This issue was reported by Li Qiang of 360.cn Inc.

CVE-2017-2615 was assigned to this issue by Red Hat Inc.


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Thomas Deutschmann gentoo-dev Security 2017-02-12 18:30:28 UTC
Freeing alias for tracker usage.
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-02-16 18:24:02 UTC
Added to an existing GLSA request.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-02-21 00:25:48 UTC
This issue was resolved and addressed in
 GLSA 201702-28 at https://security.gentoo.org/glsa/201702-28
by GLSA coordinator Thomas Deutschmann (whissi).